at.chipkarte.client.tsv.soap

## Interface ITsvService

-     public interface ITsvService

  Dieses Service stellt die Funktionalitäten der Testszenarienverwaltung (TSV) zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Zuordnungsinformation[]` | `deleteSchulungsdaten(String dialogId, String fachgebietsCode, String cardToken)` Diese Funktion löscht Konsultationen, die nach dem Zuweisen eines Szenarios zu einer Schulungskarte durchgeführt werden (das Szenario selbst bleibt der Schulungskarte zugewiesen).
    `String[]` | `getSchulungsszenarien(String dialogId)` Diese Funktion ermittelt die verfügbaren Schulungsszenarien.
    `Zuordnungsinformation[]` | `setSchulungsszenario(String dialogId, String szenarioId, String fachgebietsCode, String cardToken)` Diese Funktion weist der gesteckten Schulungskarte ein bestimmtes Schulungsszenario zu.

- - ### Method Detail

    - #### getSchulungsszenarien

          String[] getSchulungsszenarien(String dialogId)
                                  throws DialogException,
                                         ServiceException,
                                         SchulungException,
                                         AccessException

      Diese Funktion ermittelt die verfügbaren Schulungsszenarien.

      Voraussetzung :

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - Zugriff auf TSV (siehe `TSV_CORE`).

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-Id eines aufgebauten Dialogs
      Returns:
        Liste mit den IDs der verfügbaren Schulungsszenarien oder null, wenn keine Schulungsszenarien verfügbar sind.
        Format: maximal 10-stellig
      Throws:
        `AccessException` - `MISSING_TSV_CORE`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `SchulungException` - `NO_SCENARIO_FOUND`

    - #### setSchulungsszenario

          Zuordnungsinformation[] setSchulungsszenario(String dialogId,
                                                       String szenarioId,
                                                       String fachgebietsCode,
                                                       String cardToken)
                                                throws DialogException,
                                                       ServiceException,
                                                       InvalidParameterException,
                                                       SchulungException,
                                                       AccessException

      Diese Funktion weist der gesteckten Schulungskarte ein bestimmtes Schulungsszenario zu.
      Die Funktion wird im Offline Modus nicht unterstützt.

      Voraussetzung :

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - mit Schulungs e-card erstelltes CardToken.
      - Zugriff auf TSV (siehe `TSV_CORE`).

      Anmerkung: Wenn der verwendeten Schulungs e-card bereits ein Schulungsszenario zugeordnet ist, wird diese Zuordnung aufgehoben und es werden sämtliche Datenkonstellationen, die mit diesem Szenario durchgeführt wurden, gelöscht.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-Id eines aufgebauten Dialogs
        `szenarioId` - Id des Schulungsszenarios, siehe auch `getSchulungsszenarien`
        `fachgebietsCode` - Fachgebietscode für das Schulungsszenario
        `cardToken` - Mit Schulungs e-card erzeugtes Signaturtoken.
      Returns:
        Zuordnungsinformationen (siehe `Zuordnungsinformation`) wenn aufgrund der Zuordnung mindestens eine Information retourniert werden muss (zum Beispiel REZID), ansonsten nicht versorgt.
      Throws:
        `AccessException` - `MISSING_TSV_CORE`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `SIGNATURE_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_REQUIRED`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_FG`, `ILLEGAL_VALUE`
        `SchulungException` - `SCHULUNGS_ECARD_NOT_AVAIL`, `SELECTED_SCENARIO_NOT_AVAIL`

    - #### deleteSchulungsdaten

          Zuordnungsinformation[] deleteSchulungsdaten(String dialogId,
                                                       String fachgebietsCode,
                                                       String cardToken)
                                                throws DialogException,
                                                       ServiceException,
                                                       InvalidParameterException,
                                                       SchulungException,
                                                       AccessException

      Diese Funktion löscht Konsultationen, die nach dem Zuweisen eines Szenarios zu einer Schulungskarte durchgeführt werden (das Szenario selbst bleibt der Schulungskarte zugewiesen).

      Voraussetzung :

      - Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online Modus des Dialogs.
      - mit Schulungs e-card erstelltes CardToken.
      - Zugriff auf TSV (siehe `TSV_CORE`).
      - es wurde im gleichen Dialog zuvor ein Schulungsszenario zugeordnet, siehe Funktion `setSchulungsszenario`.

      Laufzeitgruppe: Mittel

      Replayability: Nein

      Parameters:
        `dialogId` - Dialog-Id eines aufgebauten Dialogs
        `fachgebietsCode` - Fachgebietscode für das Schulungsszenario
        `cardToken` - Mit Schulungs e-card erzeugtes Signaturtoken.
      Returns:
        Zuordnungsinformationen (siehe `Zuordnungsinformation`) wenn aufgrund der Zuordnung mindestens eine Information retourniert werden muss (zum Beispiel REZID), ansonsten nicht versorgt.
      Throws:
        `AccessException` - `MISSING_TSV_CORE`
        `ServiceException` - `INTERNAL_ERROR`, `CONNECTION_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `INVALID_TRANSACTION_ID`, `SIGNATURE_INVALID`, `CARDTOKEN_EXPIRED`, `CARDTOKEN_INVALID`, `CARDTOKEN_VPNR_MISMATCH`, `CARDTOKEN_REQUIRED`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `InvalidParameterException` - `INVALID_FG`,
        `SchulungException` - `SCHULUNGS_ECARD_NOT_AVAIL`, `SELECTED_SCENARIO_NOT_AVAIL`